Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: GnuPG: gpa

CVS HEAD compile woes

 

 

GnuPG gpa RSS feed   Index | Next | Previous | View Threaded


mutz at kde

Apr 11, 2005, 9:48 AM

Post #1 of 2 (1369 views)
Permalink
CVS HEAD compile woes

Hi,

tried to build current CVS of all seven Ae2 backend modules.
gpg-error worked nice with whatever AM version I was using,
but libassuan requires AM 1.9.
After apt-get'ing automake1.9, gpg-error now fails with:

> src/Makefile.am: required file `./compile' not found
<snip>
> configure: creating ./config.status
> config.status: creating src/gpg-error-config
> config.status: error: cannot find input file: Makefile.in
> Configure failed

My build and checkout scripts are attached. They worked flawlessly before.

Marc
Attachments: build.sh (1.02 KB)
  checkout.sh (0.71 KB)


wk at gnupg

Apr 12, 2005, 3:34 AM

Post #2 of 2 (1246 views)
Permalink
Re: CVS HEAD compile woes [In reply to]

On Mon, 11 Apr 2005 18:48:02 +0200, Marc Mutz said:

> gpg-error worked nice with whatever AM version I was using,
> but libassuan requires AM 1.9.

For security reasons. Makefiles from older automake versions feature
a /tmp race.

> After apt-get'ing automake1.9, gpg-error now fails with:

>> src/Makefile.am: required file `./compile' not found
> <snip>

Seems that some files are missing tn the CVS.

automake -a

should do the trick. Make sure it is AM 1.9.


Shalom-Salam,

Werner

GnuPG gpa RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.